net.minecraft.world.chunk.storage

## Class ExtendedBlockStorage

- java.lang.Object
- - net.minecraft.world.chunk.storage.ExtendedBlockStorage

-     public class ExtendedBlockStorage
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedBlockStorage(int par1, boolean par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearMSBArray()`
    `NibbleArray` | `createBlockMSBArray()`
    `void` | `func_150818_a(int p_150818_1_, int p_150818_2_, int p_150818_3_, Block p_150818_4_)`
    `Block` | `getBlockByExtId(int p_150819_1_, int p_150819_2_, int p_150819_3_)`
    `NibbleArray` | `getBlocklightArray()`
    `byte[]` | `getBlockLSBArray()`
    `NibbleArray` | `getBlockMSBArray()`
    `int` | `getExtBlocklightValue(int par1, int par2, int par3)`
    `int` | `getExtBlockMetadata(int par1, int par2, int par3)`
    `int` | `getExtSkylightValue(int par1, int par2, int par3)`
    `NibbleArray` | `getMetadataArray()`
    `boolean` | `getNeedsRandomTick()`
    `NibbleArray` | `getSkylightArray()`
    `int` | `getYLocation()`
    `boolean` | `isEmpty()`
    `void` | `removeInvalidBlocks()`
    `void` | `setBlocklightArray(NibbleArray par1NibbleArray)`
    `void` | `setBlockLSBArray(byte[] par1ArrayOfByte)`
    `void` | `setBlockMetadataArray(NibbleArray par1NibbleArray)`
    `void` | `setBlockMSBArray(NibbleArray par1NibbleArray)`
    `void` | `setExtBlocklightValue(int par1, int par2, int par3, int par4)`
    `void` | `setExtBlockMetadata(int par1, int par2, int par3, int par4)`
    `void` | `setExtSkylightValue(int par1, int par2, int par3, int par4)`
    `void` | `setSkylightArray(NibbleArray par1NibbleArray)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedBlockStorage

          public ExtendedBlockStorage(int par1,
                              boolean par2)

  - ### Method Detail

    - #### getBlockByExtId

          public Block getBlockByExtId(int p_150819_1_,
                              int p_150819_2_,
                              int p_150819_3_)

    - #### func_150818_a

          public void func_150818_a(int p_150818_1_,
                           int p_150818_2_,
                           int p_150818_3_,
                           Block p_150818_4_)

    - #### getExtBlockMetadata

          public int getExtBlockMetadata(int par1,
                                int par2,
                                int par3)

    - #### setExtBlockMetadata

          public void setExtBlockMetadata(int par1,
                                 int par2,
                                 int par3,
                                 int par4)

    - #### isEmpty

          public boolean isEmpty()

    - #### getNeedsRandomTick

          public boolean getNeedsRandomTick()

    - #### getYLocation

          public int getYLocation()

    - #### setExtSkylightValue

          public void setExtSkylightValue(int par1,
                                 int par2,
                                 int par3,
                                 int par4)

    - #### getExtSkylightValue

          public int getExtSkylightValue(int par1,
                                int par2,
                                int par3)

    - #### setExtBlocklightValue

          public void setExtBlocklightValue(int par1,
                                   int par2,
                                   int par3,
                                   int par4)

    - #### getExtBlocklightValue

          public int getExtBlocklightValue(int par1,
                                  int par2,
                                  int par3)

    - #### removeInvalidBlocks

          public void removeInvalidBlocks()

    - #### getBlockLSBArray

          public byte[] getBlockLSBArray()

    - #### clearMSBArray

          public void clearMSBArray()

    - #### getBlockMSBArray

          public NibbleArray getBlockMSBArray()

    - #### getMetadataArray

          public NibbleArray getMetadataArray()

    - #### getBlocklightArray

          public NibbleArray getBlocklightArray()

    - #### getSkylightArray

          public NibbleArray getSkylightArray()

    - #### setBlockLSBArray

          public void setBlockLSBArray(byte[] par1ArrayOfByte)

    - #### setBlockMSBArray

          public void setBlockMSBArray(NibbleArray par1NibbleArray)

    - #### setBlockMetadataArray

          public void setBlockMetadataArray(NibbleArray par1NibbleArray)

    - #### setBlocklightArray

          public void setBlocklightArray(NibbleArray par1NibbleArray)

    - #### setSkylightArray

          public void setSkylightArray(NibbleArray par1NibbleArray)

    - #### createBlockMSBArray

          public NibbleArray createBlockMSBArray()